Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZMenuBox Class Reference

## Public Member Functions
| __construct ()

## Static Public Member Functions
static | createBox ( $ModuleName, $module_dir, $place, $SiteDesign, &$menuItems, $print=true, $templatefile=false, $phpfile=false, $ignore_status=false, $allow_module_template=false, $settingsModuleName=false)

## Detailed Description

! eZCommon The eZMenuBox class creates menuboxes on the fly

Example:

$menuItems = array( array( "/module/modulelist/", "{intl-modulelist}" ) );
eZMenuBox::createBox( "eZModule", "ezmodule", "admin", "standard", $menuItems );
// or
print( eZMenuBox::createBox( "eZModule", "ezmodule", "admin", "standard", $menuItems, false ) );
eZMenuBox\createBox
static createBox( $ModuleName, $module_dir, $place, $SiteDesign, &$menuItems, $print=true, $templatefile=false, $phpfile=false, $ignore_status=false, $allow_module_template=false, $settingsModuleName=false)
Definition: ezmenubox.php:61
$menuItems
$menuItems
Definition: ezabout/admin/menubox.php:31

Definition at line 45 of file ezmenubox.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMenuBox::__construct | ( |  | ) |

Definition at line 47 of file ezmenubox.php.

## Member Function Documentation

## ◆ createBox()

static eZMenuBox::createBox | ( |  | $ModuleName,
|  |  | $module_dir,
|  |  | $place,
|  |  | $SiteDesign,
|  | & | $menuItems,
|  |  | $print = `true`,
|  |  | $templatefile = `false`,
|  |  | $phpfile = `false`,
|  |  | $ignore_status = `false`,
|  |  | $allow_module_template = `false`,
|  |  | $settingsModuleName = `false`
| ) |  |
| static

Creates a menubox with: $ModuleName used for looking up language in the site.ini file, $module_dir used for locating translation files, $place where in the module, either "admin" or "user" $SiteDesign used for setting the look of the boxes, $menuItems contains the menu items and $print print the box if true else return the box as text.

Definition at line 61 of file ezmenubox.php.

References $error, $ini, $Language, $menuItems, $ModuleName, $preferences, $SiteDesign, $str, $t, $uri, eZHTTPTool\addVariable(), file_exists(), and eZPBFile\filemtime().

Referenced by ezpbKernelAdmin\run().

The documentation for this class was generated from the following file:

- ezmenubox.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.